"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
require("../styles/globals.css");
var MqlContextProvider_1 = __importDefault(require("../context/MqlContext/MqlContextProvider"));
// Note: In a production system, this might include the ability to fetch from a cookie
// or fetch remotely, re-validate, etc.
function getToken() {
    return Promise.resolve("" + process.env.NEXT_PUBLIC_TOKEN);
}
// @ts-ignore
function TransformReactDemo(_a) {
    var Component = _a.Component, pageProps = _a.pageProps;
    return (react_1.default.createElement(MqlContextProvider_1.default, { getToken: getToken, isAuthenticated: true },
        react_1.default.createElement(Component, __assign({}, pageProps))));
}
exports.default = TransformReactDemo;
