"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Org_Mql_Servers_Select_Column = exports.Org_Mql_Servers_Constraint = exports.Org_Mql_Server_Logs_Types_Enum = exports.Org_Metrics_Current_View_Select_Column = exports.Org_Data_Sources_Select_Column = exports.Order_By = exports.Mql_Heartbeats_Select_Column = exports.Models_Select_Column = exports.Model_Metrics_Select_Column = exports.Model_Data_Sources_Select_Column = exports.Model_Current_Select_Column = exports.Metric_View_Select_Column = exports.Metric_Versions_Select_Column = exports.Metric_User_Owners_Select_Column = exports.Metric_Team_Owners_Select_Column = exports.Metric_Lineage_Data_Sources_Select_Column = exports.Metric_Descriptions_Select_Column = exports.Metric_Current_Description_Select_Column = exports.Metric_Collections_Update_Column = exports.Metric_Collections_Select_Column = exports.Metric_Collections_Constraint = exports.Metric_Collection_View_Select_Column = exports.Metric_Collection_Metrics_Update_Column = exports.Metric_Collection_Metrics_Select_Column = exports.Metric_Collection_Metrics_Constraint = exports.Metric_Approvals_Select_Column = exports.Metric_Annotations_Update_Column = exports.Metric_Annotations_Select_Column = exports.Metric_Annotations_Constraint = exports.Features_Select_Column = exports.Data_Source_Versions_Select_Column = exports.Dashboards_Update_Column = exports.Dashboards_Select_Column = exports.Dashboards_Constraint = exports.Dashboard_Sections_Update_Column = exports.Dashboard_Sections_Select_Column = exports.Dashboard_Sections_Constraint = exports.Dashboard_Section_Types_Enum = exports.Dashboard_Renderable_Types_Enum = exports.Dashboard_Layouts_Enum = exports.Dashboard_Item_Configs_Update_Column = exports.Dashboard_Item_Configs_Select_Column = exports.Dashboard_Item_Configs_Constraint = exports.Api_Keys_Update_Column = exports.Api_Keys_Select_Column = exports.Api_Keys_Constraint = exports.Annotations_Update_Column = exports.Annotations_Select_Column = exports.Annotations_Constraint = exports.Role = void 0;
exports.Users_Update_Column = exports.Users_Select_Column = exports.Users_Constraint = exports.User_Roles_Update_Column = exports.User_Roles_Select_Column = exports.User_Roles_Constraint = exports.User_Role_Types_Enum = exports.User_Prefs_Update_Column = exports.User_Prefs_Select_Column = exports.User_Prefs_Constraint = exports.User_Features_Select_Column = exports.Teams_Update_Column = exports.Teams_Select_Column = exports.Teams_Constraint = exports.Team_Views_Select_Column = exports.Team_Members_Update_Column = exports.Team_Members_Select_Column = exports.Team_Members_Constraint = exports.Team_Dashboards_Select_Column = exports.Saved_Query_Metrics_Select_Column = exports.Saved_Queries_Update_Column = exports.Saved_Queries_Select_Column = exports.Saved_Queries_Constraint = exports.Questions_Update_Column = exports.Questions_Select_Column = exports.Questions_Constraint = exports.Question_Replies_Update_Column = exports.Question_Replies_Select_Column = exports.Question_Replies_Constraint = exports.Question_Likes_Select_Column = exports.Question_Directed_To_Select_Column = exports.Priorities_Select_Column = exports.Priorities_Enum = exports.Organizations_Update_Column = exports.Organizations_Select_Column = exports.Organizations_Constraint = exports.Organization_Features_Select_Column = exports.Org_Mql_Servers_Update_Column = void 0;
var Role;
(function (Role) {
    Role["Admin"] = "admin";
    Role["OrgAdmin"] = "org_admin";
    Role["ServiceUser"] = "service_user";
    Role["User"] = "user";
})(Role = exports.Role || (exports.Role = {}));
/** unique or primary key constraints on table "annotations" */
var Annotations_Constraint;
(function (Annotations_Constraint) {
    /** unique or primary key constraint */
    Annotations_Constraint["AnnotationsPkey"] = "annotations_pkey";
})(Annotations_Constraint = exports.Annotations_Constraint || (exports.Annotations_Constraint = {}));
/** select columns of table "annotations" */
var Annotations_Select_Column;
(function (Annotations_Select_Column) {
    /** column name */
    Annotations_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Annotations_Select_Column["DateEndedAt"] = "dateEndedAt";
    /** column name */
    Annotations_Select_Column["DateStartedAt"] = "dateStartedAt";
    /** column name */
    Annotations_Select_Column["ExpectedImpact"] = "expectedImpact";
    /** column name */
    Annotations_Select_Column["Id"] = "id";
    /** column name */
    Annotations_Select_Column["Priority"] = "priority";
    /** column name */
    Annotations_Select_Column["Text"] = "text";
    /** column name */
    Annotations_Select_Column["Title"] = "title";
    /** column name */
    Annotations_Select_Column["UpdatedAt"] = "updatedAt";
})(Annotations_Select_Column = exports.Annotations_Select_Column || (exports.Annotations_Select_Column = {}));
/** update columns of table "annotations" */
var Annotations_Update_Column;
(function (Annotations_Update_Column) {
    /** column name */
    Annotations_Update_Column["DateEndedAt"] = "dateEndedAt";
    /** column name */
    Annotations_Update_Column["DateStartedAt"] = "dateStartedAt";
    /** column name */
    Annotations_Update_Column["DeletedAt"] = "deletedAt";
    /** column name */
    Annotations_Update_Column["ExpectedImpact"] = "expectedImpact";
    /** column name */
    Annotations_Update_Column["Priority"] = "priority";
    /** column name */
    Annotations_Update_Column["Text"] = "text";
    /** column name */
    Annotations_Update_Column["Title"] = "title";
})(Annotations_Update_Column = exports.Annotations_Update_Column || (exports.Annotations_Update_Column = {}));
/** unique or primary key constraints on table "api_keys" */
var Api_Keys_Constraint;
(function (Api_Keys_Constraint) {
    /** unique or primary key constraint */
    Api_Keys_Constraint["ApiKeysPkey"] = "api_keys_pkey";
})(Api_Keys_Constraint = exports.Api_Keys_Constraint || (exports.Api_Keys_Constraint = {}));
/** select columns of table "api_keys" */
var Api_Keys_Select_Column;
(function (Api_Keys_Select_Column) {
    /** column name */
    Api_Keys_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Api_Keys_Select_Column["LastUsedAt"] = "lastUsedAt";
    /** column name */
    Api_Keys_Select_Column["Prefix"] = "prefix";
    /** column name */
    Api_Keys_Select_Column["RevokedAt"] = "revokedAt";
    /** column name */
    Api_Keys_Select_Column["Scope"] = "scope";
    /** column name */
    Api_Keys_Select_Column["Type"] = "type";
    /** column name */
    Api_Keys_Select_Column["UpdatedAt"] = "updatedAt";
})(Api_Keys_Select_Column = exports.Api_Keys_Select_Column || (exports.Api_Keys_Select_Column = {}));
/** update columns of table "api_keys" */
var Api_Keys_Update_Column;
(function (Api_Keys_Update_Column) {
    /** column name */
    Api_Keys_Update_Column["RevokedAt"] = "revokedAt";
})(Api_Keys_Update_Column = exports.Api_Keys_Update_Column || (exports.Api_Keys_Update_Column = {}));
/** unique or primary key constraints on table "dashboard_item_configs" */
var Dashboard_Item_Configs_Constraint;
(function (Dashboard_Item_Configs_Constraint) {
    /** unique or primary key constraint */
    Dashboard_Item_Configs_Constraint["DashboardItemConfigsPkey"] = "dashboard_item_configs_pkey";
})(Dashboard_Item_Configs_Constraint = exports.Dashboard_Item_Configs_Constraint || (exports.Dashboard_Item_Configs_Constraint = {}));
/** select columns of table "dashboard_item_configs" */
var Dashboard_Item_Configs_Select_Column;
(function (Dashboard_Item_Configs_Select_Column) {
    /** column name */
    Dashboard_Item_Configs_Select_Column["DashboardRenderableType"] = "dashboardRenderableType";
    /** column name */
    Dashboard_Item_Configs_Select_Column["Id"] = "id";
    /** column name */
    Dashboard_Item_Configs_Select_Column["MetricCollectionId"] = "metricCollectionId";
    /** column name */
    Dashboard_Item_Configs_Select_Column["MetricId"] = "metricId";
    /** column name */
    Dashboard_Item_Configs_Select_Column["Position"] = "position";
    /** column name */
    Dashboard_Item_Configs_Select_Column["Subtitle"] = "subtitle";
    /** column name */
    Dashboard_Item_Configs_Select_Column["TeamId"] = "teamId";
    /** column name */
    Dashboard_Item_Configs_Select_Column["Title"] = "title";
    /** column name */
    Dashboard_Item_Configs_Select_Column["UserId"] = "userId";
})(Dashboard_Item_Configs_Select_Column = exports.Dashboard_Item_Configs_Select_Column || (exports.Dashboard_Item_Configs_Select_Column = {}));
/** update columns of table "dashboard_item_configs" */
var Dashboard_Item_Configs_Update_Column;
(function (Dashboard_Item_Configs_Update_Column) {
    /** column name */
    Dashboard_Item_Configs_Update_Column["DashboardRenderableType"] = "dashboardRenderableType";
    /** column name */
    Dashboard_Item_Configs_Update_Column["DashboardSectionId"] = "dashboardSectionId";
    /** column name */
    Dashboard_Item_Configs_Update_Column["MetricCollectionId"] = "metricCollectionId";
    /** column name */
    Dashboard_Item_Configs_Update_Column["MetricId"] = "metricId";
    /** column name */
    Dashboard_Item_Configs_Update_Column["Position"] = "position";
    /** column name */
    Dashboard_Item_Configs_Update_Column["Subtitle"] = "subtitle";
    /** column name */
    Dashboard_Item_Configs_Update_Column["TeamId"] = "teamId";
    /** column name */
    Dashboard_Item_Configs_Update_Column["Title"] = "title";
    /** column name */
    Dashboard_Item_Configs_Update_Column["UserId"] = "userId";
})(Dashboard_Item_Configs_Update_Column = exports.Dashboard_Item_Configs_Update_Column || (exports.Dashboard_Item_Configs_Update_Column = {}));
var Dashboard_Layouts_Enum;
(function (Dashboard_Layouts_Enum) {
    /** This version has a side panel that collapses on small breakpoint. */
    Dashboard_Layouts_Enum["SidePanel"] = "SIDE_PANEL";
    /** This layout has a single main column on all breakpoints. */
    Dashboard_Layouts_Enum["SingleColumn"] = "SINGLE_COLUMN";
})(Dashboard_Layouts_Enum = exports.Dashboard_Layouts_Enum || (exports.Dashboard_Layouts_Enum = {}));
var Dashboard_Renderable_Types_Enum;
(function (Dashboard_Renderable_Types_Enum) {
    /** Banners can let users know what's happening or be used as a page title. */
    Dashboard_Renderable_Types_Enum["Banner"] = "BANNER";
    /** The Carousel is a simple view for a set of metrics or saved queries. */
    Dashboard_Renderable_Types_Enum["Carousel"] = "CAROUSEL";
    /** Users and Teams can have multiple Dashboards, so this list view provides an entry point into them. */
    Dashboard_Renderable_Types_Enum["DashboardList"] = "DASHBOARD_LIST";
    /** The Metric Collection view provides a mechanism for viewing all the metrics in a collection with live configuration of dimensions and filters. */
    Dashboard_Renderable_Types_Enum["MetricCollection"] = "METRIC_COLLECTION";
    /** Users and Teams can have multiple Metric Collections, so this list view provides an entry point into them. */
    Dashboard_Renderable_Types_Enum["MetricCollectionList"] = "METRIC_COLLECTION_LIST";
    /** Many objects (e.g. Dashboards and Metrics) can have multiple Owners, so this list view provides an entry point into them. */
    Dashboard_Renderable_Types_Enum["OwnerList"] = "OWNER_LIST";
    /** Users and Teams can have multiple Saved Queries, so this list view provides an entry point into them. */
    Dashboard_Renderable_Types_Enum["SavedQueryList"] = "SAVED_QUERY_LIST";
    /** Teams have User Lists as a way to view the members of the team. */
    Dashboard_Renderable_Types_Enum["UserList"] = "USER_LIST";
})(Dashboard_Renderable_Types_Enum = exports.Dashboard_Renderable_Types_Enum || (exports.Dashboard_Renderable_Types_Enum = {}));
var Dashboard_Section_Types_Enum;
(function (Dashboard_Section_Types_Enum) {
    /** The Header appears at the top of the Dashboard and remains sticky during scrolling. */
    Dashboard_Section_Types_Enum["Header"] = "HEADER";
    /** The primary column taking most or all of the page. */
    Dashboard_Section_Types_Enum["Main"] = "MAIN";
    /** A side panel existing in the Panel Layout. Collapsible on small breakpoint. */
    Dashboard_Section_Types_Enum["Panel"] = "PANEL";
})(Dashboard_Section_Types_Enum = exports.Dashboard_Section_Types_Enum || (exports.Dashboard_Section_Types_Enum = {}));
/** unique or primary key constraints on table "dashboard_sections" */
var Dashboard_Sections_Constraint;
(function (Dashboard_Sections_Constraint) {
    /** unique or primary key constraint */
    Dashboard_Sections_Constraint["DashboardSectionsPkey"] = "dashboard_sections_pkey";
})(Dashboard_Sections_Constraint = exports.Dashboard_Sections_Constraint || (exports.Dashboard_Sections_Constraint = {}));
/** select columns of table "dashboard_sections" */
var Dashboard_Sections_Select_Column;
(function (Dashboard_Sections_Select_Column) {
    /** column name */
    Dashboard_Sections_Select_Column["DashboardSectionType"] = "dashboardSectionType";
    /** column name */
    Dashboard_Sections_Select_Column["Id"] = "id";
})(Dashboard_Sections_Select_Column = exports.Dashboard_Sections_Select_Column || (exports.Dashboard_Sections_Select_Column = {}));
/** update columns of table "dashboard_sections" */
var Dashboard_Sections_Update_Column;
(function (Dashboard_Sections_Update_Column) {
    /** column name */
    Dashboard_Sections_Update_Column["DashboardSectionType"] = "dashboardSectionType";
})(Dashboard_Sections_Update_Column = exports.Dashboard_Sections_Update_Column || (exports.Dashboard_Sections_Update_Column = {}));
/** unique or primary key constraints on table "dashboards" */
var Dashboards_Constraint;
(function (Dashboards_Constraint) {
    /** unique or primary key constraint */
    Dashboards_Constraint["DashboardsPkey"] = "dashboards_pkey";
})(Dashboards_Constraint = exports.Dashboards_Constraint || (exports.Dashboards_Constraint = {}));
/** select columns of table "dashboards" */
var Dashboards_Select_Column;
(function (Dashboards_Select_Column) {
    /** column name */
    Dashboards_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Dashboards_Select_Column["DashboardLayout"] = "dashboardLayout";
    /** column name */
    Dashboards_Select_Column["Id"] = "id";
    /** column name */
    Dashboards_Select_Column["Title"] = "title";
    /** column name */
    Dashboards_Select_Column["UpdatedAt"] = "updatedAt";
})(Dashboards_Select_Column = exports.Dashboards_Select_Column || (exports.Dashboards_Select_Column = {}));
/** update columns of table "dashboards" */
var Dashboards_Update_Column;
(function (Dashboards_Update_Column) {
    /** column name */
    Dashboards_Update_Column["DashboardLayout"] = "dashboardLayout";
    /** column name */
    Dashboards_Update_Column["DeletedAt"] = "deletedAt";
    /** column name */
    Dashboards_Update_Column["Title"] = "title";
})(Dashboards_Update_Column = exports.Dashboards_Update_Column || (exports.Dashboards_Update_Column = {}));
/** select columns of table "data_source_versions" */
var Data_Source_Versions_Select_Column;
(function (Data_Source_Versions_Select_Column) {
    /** column name */
    Data_Source_Versions_Select_Column["Connection"] = "connection";
    /** column name */
    Data_Source_Versions_Select_Column["Constraint"] = "constraint";
    /** column name */
    Data_Source_Versions_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Data_Source_Versions_Select_Column["DataSourceMetadata"] = "dataSourceMetadata";
    /** column name */
    Data_Source_Versions_Select_Column["Description"] = "description";
    /** column name */
    Data_Source_Versions_Select_Column["Dimensions"] = "dimensions";
    /** column name */
    Data_Source_Versions_Select_Column["Hash"] = "hash";
    /** column name */
    Data_Source_Versions_Select_Column["Id"] = "id";
    /** column name */
    Data_Source_Versions_Select_Column["Identifiers"] = "identifiers";
    /** column name */
    Data_Source_Versions_Select_Column["Measures"] = "measures";
    /** column name */
    Data_Source_Versions_Select_Column["Mutability"] = "mutability";
    /** column name */
    Data_Source_Versions_Select_Column["Name"] = "name";
    /** column name */
    Data_Source_Versions_Select_Column["OrganizationId"] = "organizationId";
    /** column name */
    Data_Source_Versions_Select_Column["SqlQuery"] = "sqlQuery";
    /** column name */
    Data_Source_Versions_Select_Column["SqlTable"] = "sqlTable";
})(Data_Source_Versions_Select_Column = exports.Data_Source_Versions_Select_Column || (exports.Data_Source_Versions_Select_Column = {}));
/** select columns of table "features" */
var Features_Select_Column;
(function (Features_Select_Column) {
    /** column name */
    Features_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Features_Select_Column["Id"] = "id";
    /** column name */
    Features_Select_Column["Name"] = "name";
    /** column name */
    Features_Select_Column["RetiredAt"] = "retiredAt";
    /** column name */
    Features_Select_Column["UpdatedAt"] = "updatedAt";
})(Features_Select_Column = exports.Features_Select_Column || (exports.Features_Select_Column = {}));
/** unique or primary key constraints on table "metric_annotations" */
var Metric_Annotations_Constraint;
(function (Metric_Annotations_Constraint) {
    /** unique or primary key constraint */
    Metric_Annotations_Constraint["MetricAnnotationsPkey"] = "metric_annotations_pkey";
})(Metric_Annotations_Constraint = exports.Metric_Annotations_Constraint || (exports.Metric_Annotations_Constraint = {}));
/** select columns of table "metric_annotations" */
var Metric_Annotations_Select_Column;
(function (Metric_Annotations_Select_Column) {
    /** column name */
    Metric_Annotations_Select_Column["DimensionName"] = "dimensionName";
    /** column name */
    Metric_Annotations_Select_Column["DimensionValue"] = "dimensionValue";
    /** column name */
    Metric_Annotations_Select_Column["Id"] = "id";
})(Metric_Annotations_Select_Column = exports.Metric_Annotations_Select_Column || (exports.Metric_Annotations_Select_Column = {}));
/** update columns of table "metric_annotations" */
var Metric_Annotations_Update_Column;
(function (Metric_Annotations_Update_Column) {
    /** column name */
    Metric_Annotations_Update_Column["AnnotationId"] = "annotationId";
    /** column name */
    Metric_Annotations_Update_Column["DimensionName"] = "dimensionName";
    /** column name */
    Metric_Annotations_Update_Column["DimensionValue"] = "dimensionValue";
    /** column name */
    Metric_Annotations_Update_Column["MetricId"] = "metricId";
})(Metric_Annotations_Update_Column = exports.Metric_Annotations_Update_Column || (exports.Metric_Annotations_Update_Column = {}));
/** select columns of table "metric_approvals" */
var Metric_Approvals_Select_Column;
(function (Metric_Approvals_Select_Column) {
    /** column name */
    Metric_Approvals_Select_Column["ApprovedAt"] = "approvedAt";
    /** column name */
    Metric_Approvals_Select_Column["Id"] = "id";
})(Metric_Approvals_Select_Column = exports.Metric_Approvals_Select_Column || (exports.Metric_Approvals_Select_Column = {}));
/** unique or primary key constraints on table "metric_collection_metrics" */
var Metric_Collection_Metrics_Constraint;
(function (Metric_Collection_Metrics_Constraint) {
    /** unique or primary key constraint */
    Metric_Collection_Metrics_Constraint["MetricCollectionMetricsMetricCollectionIdMetricIdKey"] = "metric_collection_metrics_metric_collection_id_metric_id_key";
    /** unique or primary key constraint */
    Metric_Collection_Metrics_Constraint["MetricCollectionMetricsPkey"] = "metric_collection_metrics_pkey";
})(Metric_Collection_Metrics_Constraint = exports.Metric_Collection_Metrics_Constraint || (exports.Metric_Collection_Metrics_Constraint = {}));
/** select columns of table "metric_collection_metrics" */
var Metric_Collection_Metrics_Select_Column;
(function (Metric_Collection_Metrics_Select_Column) {
    /** column name */
    Metric_Collection_Metrics_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Metric_Collection_Metrics_Select_Column["Emphasis"] = "emphasis";
    /** column name */
    Metric_Collection_Metrics_Select_Column["Id"] = "id";
    /** column name */
    Metric_Collection_Metrics_Select_Column["Position"] = "position";
    /** column name */
    Metric_Collection_Metrics_Select_Column["UpdatedAt"] = "updatedAt";
})(Metric_Collection_Metrics_Select_Column = exports.Metric_Collection_Metrics_Select_Column || (exports.Metric_Collection_Metrics_Select_Column = {}));
/** update columns of table "metric_collection_metrics" */
var Metric_Collection_Metrics_Update_Column;
(function (Metric_Collection_Metrics_Update_Column) {
    /** column name */
    Metric_Collection_Metrics_Update_Column["Emphasis"] = "emphasis";
    /** column name */
    Metric_Collection_Metrics_Update_Column["Position"] = "position";
})(Metric_Collection_Metrics_Update_Column = exports.Metric_Collection_Metrics_Update_Column || (exports.Metric_Collection_Metrics_Update_Column = {}));
/** select columns of table "metric_collection_view" */
var Metric_Collection_View_Select_Column;
(function (Metric_Collection_View_Select_Column) {
    /** column name */
    Metric_Collection_View_Select_Column["CreatedAt"] = "created_at";
})(Metric_Collection_View_Select_Column = exports.Metric_Collection_View_Select_Column || (exports.Metric_Collection_View_Select_Column = {}));
/** unique or primary key constraints on table "metric_collections" */
var Metric_Collections_Constraint;
(function (Metric_Collections_Constraint) {
    /** unique or primary key constraint */
    Metric_Collections_Constraint["MetricCollectionPkey"] = "metric_collection_pkey";
    /** unique or primary key constraint */
    Metric_Collections_Constraint["MetricCollectionsOrganizationIdSlugKey"] = "metric_collections_organization_id_slug_key";
})(Metric_Collections_Constraint = exports.Metric_Collections_Constraint || (exports.Metric_Collections_Constraint = {}));
/** select columns of table "metric_collections" */
var Metric_Collections_Select_Column;
(function (Metric_Collections_Select_Column) {
    /** column name */
    Metric_Collections_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Metric_Collections_Select_Column["CreatedBy"] = "createdBy";
    /** column name */
    Metric_Collections_Select_Column["DefaultEmphasis"] = "defaultEmphasis";
    /** column name */
    Metric_Collections_Select_Column["DeletedAt"] = "deletedAt";
    /** column name */
    Metric_Collections_Select_Column["Description"] = "description";
    /** column name */
    Metric_Collections_Select_Column["Id"] = "id";
    /** column name */
    Metric_Collections_Select_Column["OrganizationId"] = "organizationId";
    /** column name */
    Metric_Collections_Select_Column["OwnerTeamId"] = "ownerTeamId";
    /** column name */
    Metric_Collections_Select_Column["PrimaryDashboardId"] = "primaryDashboardId";
    /** column name */
    Metric_Collections_Select_Column["Slug"] = "slug";
    /** column name */
    Metric_Collections_Select_Column["Title"] = "title";
    /** column name */
    Metric_Collections_Select_Column["UpdatedAt"] = "updatedAt";
})(Metric_Collections_Select_Column = exports.Metric_Collections_Select_Column || (exports.Metric_Collections_Select_Column = {}));
/** update columns of table "metric_collections" */
var Metric_Collections_Update_Column;
(function (Metric_Collections_Update_Column) {
    /** column name */
    Metric_Collections_Update_Column["DefaultEmphasis"] = "defaultEmphasis";
    /** column name */
    Metric_Collections_Update_Column["DeletedAt"] = "deletedAt";
    /** column name */
    Metric_Collections_Update_Column["Description"] = "description";
    /** column name */
    Metric_Collections_Update_Column["OwnerTeamId"] = "ownerTeamId";
    /** column name */
    Metric_Collections_Update_Column["PrimaryDashboardId"] = "primaryDashboardId";
    /** column name */
    Metric_Collections_Update_Column["Slug"] = "slug";
    /** column name */
    Metric_Collections_Update_Column["Title"] = "title";
})(Metric_Collections_Update_Column = exports.Metric_Collections_Update_Column || (exports.Metric_Collections_Update_Column = {}));
/** select columns of table "metric_current_description" */
var Metric_Current_Description_Select_Column;
(function (Metric_Current_Description_Select_Column) {
    /** column name */
    Metric_Current_Description_Select_Column["CreatedAt"] = "created_at";
    /** column name */
    Metric_Current_Description_Select_Column["Description"] = "description";
    /** column name */
    Metric_Current_Description_Select_Column["Id"] = "id";
})(Metric_Current_Description_Select_Column = exports.Metric_Current_Description_Select_Column || (exports.Metric_Current_Description_Select_Column = {}));
/** select columns of table "metric_descriptions" */
var Metric_Descriptions_Select_Column;
(function (Metric_Descriptions_Select_Column) {
    /** column name */
    Metric_Descriptions_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Metric_Descriptions_Select_Column["Description"] = "description";
    /** column name */
    Metric_Descriptions_Select_Column["Id"] = "id";
})(Metric_Descriptions_Select_Column = exports.Metric_Descriptions_Select_Column || (exports.Metric_Descriptions_Select_Column = {}));
/** select columns of table "metric_lineage_data_sources" */
var Metric_Lineage_Data_Sources_Select_Column;
(function (Metric_Lineage_Data_Sources_Select_Column) {
    /** column name */
    Metric_Lineage_Data_Sources_Select_Column["CreatedAt"] = "created_at";
    /** column name */
    Metric_Lineage_Data_Sources_Select_Column["DataSourceVersionId"] = "data_source_version_id";
    /** column name */
    Metric_Lineage_Data_Sources_Select_Column["Id"] = "id";
    /** column name */
    Metric_Lineage_Data_Sources_Select_Column["MetricVersionId"] = "metric_version_id";
    /** column name */
    Metric_Lineage_Data_Sources_Select_Column["OrganizationId"] = "organization_id";
    /** column name */
    Metric_Lineage_Data_Sources_Select_Column["UpdatedAt"] = "updated_at";
})(Metric_Lineage_Data_Sources_Select_Column = exports.Metric_Lineage_Data_Sources_Select_Column || (exports.Metric_Lineage_Data_Sources_Select_Column = {}));
/** select columns of table "metric_team_owners" */
var Metric_Team_Owners_Select_Column;
(function (Metric_Team_Owners_Select_Column) {
    /** column name */
    Metric_Team_Owners_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Metric_Team_Owners_Select_Column["Id"] = "id";
})(Metric_Team_Owners_Select_Column = exports.Metric_Team_Owners_Select_Column || (exports.Metric_Team_Owners_Select_Column = {}));
/** select columns of table "metric_user_owners" */
var Metric_User_Owners_Select_Column;
(function (Metric_User_Owners_Select_Column) {
    /** column name */
    Metric_User_Owners_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Metric_User_Owners_Select_Column["Id"] = "id";
})(Metric_User_Owners_Select_Column = exports.Metric_User_Owners_Select_Column || (exports.Metric_User_Owners_Select_Column = {}));
/** select columns of table "metric_versions" */
var Metric_Versions_Select_Column;
(function (Metric_Versions_Select_Column) {
    /** column name */
    Metric_Versions_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Metric_Versions_Select_Column["Description"] = "description";
    /** column name */
    Metric_Versions_Select_Column["DisplayName"] = "displayName";
    /** column name */
    Metric_Versions_Select_Column["Hash"] = "hash";
    /** column name */
    Metric_Versions_Select_Column["Id"] = "id";
    /** column name */
    Metric_Versions_Select_Column["Metadata"] = "metadata";
    /** column name */
    Metric_Versions_Select_Column["MetricType"] = "metricType";
    /** column name */
    Metric_Versions_Select_Column["OrganizationId"] = "organizationId";
    /** column name */
    Metric_Versions_Select_Column["Params"] = "params";
    /** column name */
    Metric_Versions_Select_Column["Tier"] = "tier";
})(Metric_Versions_Select_Column = exports.Metric_Versions_Select_Column || (exports.Metric_Versions_Select_Column = {}));
/** select columns of table "metric_view" */
var Metric_View_Select_Column;
(function (Metric_View_Select_Column) {
    /** column name */
    Metric_View_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Metric_View_Select_Column["MetricId"] = "metricId";
    /** column name */
    Metric_View_Select_Column["OrganizationId"] = "organizationId";
    /** column name */
    Metric_View_Select_Column["UserId"] = "userId";
})(Metric_View_Select_Column = exports.Metric_View_Select_Column || (exports.Metric_View_Select_Column = {}));
/** select columns of table "model_current" */
var Model_Current_Select_Column;
(function (Model_Current_Select_Column) {
    /** column name */
    Model_Current_Select_Column["ModelId"] = "model_id";
    /** column name */
    Model_Current_Select_Column["OrganizationId"] = "organization_id";
})(Model_Current_Select_Column = exports.Model_Current_Select_Column || (exports.Model_Current_Select_Column = {}));
/** select columns of table "model_data_sources" */
var Model_Data_Sources_Select_Column;
(function (Model_Data_Sources_Select_Column) {
    /** column name */
    Model_Data_Sources_Select_Column["DataSourceVersionId"] = "dataSourceVersionId";
    /** column name */
    Model_Data_Sources_Select_Column["ModelId"] = "modelId";
})(Model_Data_Sources_Select_Column = exports.Model_Data_Sources_Select_Column || (exports.Model_Data_Sources_Select_Column = {}));
/** select columns of table "model_metrics" */
var Model_Metrics_Select_Column;
(function (Model_Metrics_Select_Column) {
    /** column name */
    Model_Metrics_Select_Column["MetricId"] = "metricId";
    /** column name */
    Model_Metrics_Select_Column["MetricVersionId"] = "metricVersionId";
    /** column name */
    Model_Metrics_Select_Column["ModelId"] = "modelId";
})(Model_Metrics_Select_Column = exports.Model_Metrics_Select_Column || (exports.Model_Metrics_Select_Column = {}));
/** select columns of table "models" */
var Models_Select_Column;
(function (Models_Select_Column) {
    /** column name */
    Models_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Models_Select_Column["ExecutionContext"] = "executionContext";
    /** column name */
    Models_Select_Column["GitBranch"] = "gitBranch";
    /** column name */
    Models_Select_Column["GitCommit"] = "gitCommit";
    /** column name */
    Models_Select_Column["GitIsDirty"] = "gitIsDirty";
    /** column name */
    Models_Select_Column["GitRepo"] = "gitRepo";
    /** column name */
    Models_Select_Column["Id"] = "id";
    /** column name */
    Models_Select_Column["IsCurrent"] = "isCurrent";
    /** column name */
    Models_Select_Column["OrganizationId"] = "organizationId";
})(Models_Select_Column = exports.Models_Select_Column || (exports.Models_Select_Column = {}));
/** select columns of table "mql_heartbeats" */
var Mql_Heartbeats_Select_Column;
(function (Mql_Heartbeats_Select_Column) {
    /** column name */
    Mql_Heartbeats_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Mql_Heartbeats_Select_Column["Details"] = "details";
    /** column name */
    Mql_Heartbeats_Select_Column["Id"] = "id";
    /** column name */
    Mql_Heartbeats_Select_Column["OrganizationId"] = "organizationId";
    /** column name */
    Mql_Heartbeats_Select_Column["Status"] = "status";
    /** column name */
    Mql_Heartbeats_Select_Column["UserId"] = "userId";
    /** column name */
    Mql_Heartbeats_Select_Column["VersionSha"] = "versionSha";
})(Mql_Heartbeats_Select_Column = exports.Mql_Heartbeats_Select_Column || (exports.Mql_Heartbeats_Select_Column = {}));
/** column ordering options */
var Order_By;
(function (Order_By) {
    /** in the ascending order, nulls last */
    Order_By["Asc"] = "asc";
    /** in the ascending order, nulls first */
    Order_By["AscNullsFirst"] = "asc_nulls_first";
    /** in the ascending order, nulls last */
    Order_By["AscNullsLast"] = "asc_nulls_last";
    /** in the descending order, nulls first */
    Order_By["Desc"] = "desc";
    /** in the descending order, nulls first */
    Order_By["DescNullsFirst"] = "desc_nulls_first";
    /** in the descending order, nulls last */
    Order_By["DescNullsLast"] = "desc_nulls_last";
})(Order_By = exports.Order_By || (exports.Order_By = {}));
/** select columns of table "org_data_sources" */
var Org_Data_Sources_Select_Column;
(function (Org_Data_Sources_Select_Column) {
    /** column name */
    Org_Data_Sources_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Org_Data_Sources_Select_Column["Id"] = "id";
    /** column name */
    Org_Data_Sources_Select_Column["Name"] = "name";
    /** column name */
    Org_Data_Sources_Select_Column["OrganizationId"] = "organizationId";
})(Org_Data_Sources_Select_Column = exports.Org_Data_Sources_Select_Column || (exports.Org_Data_Sources_Select_Column = {}));
/** select columns of table "org_metrics_current_view" */
var Org_Metrics_Current_View_Select_Column;
(function (Org_Metrics_Current_View_Select_Column) {
    /** column name */
    Org_Metrics_Current_View_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Org_Metrics_Current_View_Select_Column["Definition"] = "definition";
    /** column name */
    Org_Metrics_Current_View_Select_Column["DisplayName"] = "displayName";
    /** column name */
    Org_Metrics_Current_View_Select_Column["Id"] = "id";
    /** column name */
    Org_Metrics_Current_View_Select_Column["Metadata"] = "metadata";
    /** column name */
    Org_Metrics_Current_View_Select_Column["MetricType"] = "metricType";
    /** column name */
    Org_Metrics_Current_View_Select_Column["ModelId"] = "modelId";
    /** column name */
    Org_Metrics_Current_View_Select_Column["Name"] = "name";
    /** column name */
    Org_Metrics_Current_View_Select_Column["OrganizationId"] = "organizationId";
    /** column name */
    Org_Metrics_Current_View_Select_Column["Params"] = "params";
    /** column name */
    Org_Metrics_Current_View_Select_Column["RemovedAt"] = "removedAt";
    /** column name */
    Org_Metrics_Current_View_Select_Column["Tier"] = "tier";
    /** column name */
    Org_Metrics_Current_View_Select_Column["UpdatedAt"] = "updatedAt";
})(Org_Metrics_Current_View_Select_Column = exports.Org_Metrics_Current_View_Select_Column || (exports.Org_Metrics_Current_View_Select_Column = {}));
var Org_Mql_Server_Logs_Types_Enum;
(function (Org_Mql_Server_Logs_Types_Enum) {
    /** stream MQL logs back to transform backend */
    Org_Mql_Server_Logs_Types_Enum["Always"] = "ALWAYS";
    /** never upload mql server logs to transform backend */
    Org_Mql_Server_Logs_Types_Enum["Never"] = "NEVER";
    /** upload mql server logs to transform backend on error */
    Org_Mql_Server_Logs_Types_Enum["OnError"] = "ON_ERROR";
})(Org_Mql_Server_Logs_Types_Enum = exports.Org_Mql_Server_Logs_Types_Enum || (exports.Org_Mql_Server_Logs_Types_Enum = {}));
/** unique or primary key constraints on table "org_mql_servers" */
var Org_Mql_Servers_Constraint;
(function (Org_Mql_Servers_Constraint) {
    /** unique or primary key constraint */
    Org_Mql_Servers_Constraint["OrgMqlServersOrganizationIdNameKey"] = "org_mql_servers_organization_id_name_key";
    /** unique or primary key constraint */
    Org_Mql_Servers_Constraint["OrgMqlServersPkey"] = "org_mql_servers_pkey";
})(Org_Mql_Servers_Constraint = exports.Org_Mql_Servers_Constraint || (exports.Org_Mql_Servers_Constraint = {}));
/** select columns of table "org_mql_servers" */
var Org_Mql_Servers_Select_Column;
(function (Org_Mql_Servers_Select_Column) {
    /** column name */
    Org_Mql_Servers_Select_Column["ConfigSecret"] = "configSecret";
    /** column name */
    Org_Mql_Servers_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Org_Mql_Servers_Select_Column["Id"] = "id";
    /** column name */
    Org_Mql_Servers_Select_Column["IsOrgDefault"] = "isOrgDefault";
    /** column name */
    Org_Mql_Servers_Select_Column["Name"] = "name";
    /** column name */
    Org_Mql_Servers_Select_Column["OrganizationId"] = "organizationId";
    /** column name */
    Org_Mql_Servers_Select_Column["UpdatedAt"] = "updatedAt";
    /** column name */
    Org_Mql_Servers_Select_Column["Url"] = "url";
})(Org_Mql_Servers_Select_Column = exports.Org_Mql_Servers_Select_Column || (exports.Org_Mql_Servers_Select_Column = {}));
/** update columns of table "org_mql_servers" */
var Org_Mql_Servers_Update_Column;
(function (Org_Mql_Servers_Update_Column) {
    /** column name */
    Org_Mql_Servers_Update_Column["ConfigSecret"] = "configSecret";
    /** column name */
    Org_Mql_Servers_Update_Column["IsOrgDefault"] = "isOrgDefault";
    /** column name */
    Org_Mql_Servers_Update_Column["Name"] = "name";
    /** column name */
    Org_Mql_Servers_Update_Column["Url"] = "url";
})(Org_Mql_Servers_Update_Column = exports.Org_Mql_Servers_Update_Column || (exports.Org_Mql_Servers_Update_Column = {}));
/** select columns of table "organization_features" */
var Organization_Features_Select_Column;
(function (Organization_Features_Select_Column) {
    /** column name */
    Organization_Features_Select_Column["FeatureId"] = "featureId";
    /** column name */
    Organization_Features_Select_Column["OrganizationId"] = "organizationId";
})(Organization_Features_Select_Column = exports.Organization_Features_Select_Column || (exports.Organization_Features_Select_Column = {}));
/** unique or primary key constraints on table "organizations" */
var Organizations_Constraint;
(function (Organizations_Constraint) {
    /** unique or primary key constraint */
    Organizations_Constraint["OrganizationsPkey"] = "organizations_pkey";
})(Organizations_Constraint = exports.Organizations_Constraint || (exports.Organizations_Constraint = {}));
/** select columns of table "organizations" */
var Organizations_Select_Column;
(function (Organizations_Select_Column) {
    /** column name */
    Organizations_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Organizations_Select_Column["DeactivatedAt"] = "deactivatedAt";
    /** column name */
    Organizations_Select_Column["Id"] = "id";
    /** column name */
    Organizations_Select_Column["IsHosted"] = "isHosted";
    /** column name */
    Organizations_Select_Column["LogoUrl"] = "logoUrl";
    /** column name */
    Organizations_Select_Column["MqlServerLogs"] = "mqlServerLogs";
    /** column name */
    Organizations_Select_Column["MqlServerUrl"] = "mqlServerUrl";
    /** column name */
    Organizations_Select_Column["Name"] = "name";
    /** column name */
    Organizations_Select_Column["PrimaryConfigBranch"] = "primaryConfigBranch";
    /** column name */
    Organizations_Select_Column["PrimaryConfigRepo"] = "primaryConfigRepo";
    /** column name */
    Organizations_Select_Column["ShardId"] = "shardId";
    /** column name */
    Organizations_Select_Column["SourceControlUrl"] = "sourceControlUrl";
    /** column name */
    Organizations_Select_Column["UpdatedAt"] = "updatedAt";
})(Organizations_Select_Column = exports.Organizations_Select_Column || (exports.Organizations_Select_Column = {}));
/** update columns of table "organizations" */
var Organizations_Update_Column;
(function (Organizations_Update_Column) {
    /** column name */
    Organizations_Update_Column["LogoUrl"] = "logoUrl";
    /** column name */
    Organizations_Update_Column["MqlServerUrl"] = "mqlServerUrl";
    /** column name */
    Organizations_Update_Column["Name"] = "name";
    /** column name */
    Organizations_Update_Column["PrimaryConfigBranch"] = "primaryConfigBranch";
    /** column name */
    Organizations_Update_Column["PrimaryConfigRepo"] = "primaryConfigRepo";
    /** column name */
    Organizations_Update_Column["SourceControlUrl"] = "sourceControlUrl";
})(Organizations_Update_Column = exports.Organizations_Update_Column || (exports.Organizations_Update_Column = {}));
var Priorities_Enum;
(function (Priorities_Enum) {
    Priorities_Enum["Critical"] = "CRITICAL";
    Priorities_Enum["High"] = "HIGH";
    Priorities_Enum["Low"] = "LOW";
    Priorities_Enum["Medium"] = "MEDIUM";
    Priorities_Enum["NoPriority"] = "NO_PRIORITY";
})(Priorities_Enum = exports.Priorities_Enum || (exports.Priorities_Enum = {}));
/** select columns of table "priorities" */
var Priorities_Select_Column;
(function (Priorities_Select_Column) {
    /** column name */
    Priorities_Select_Column["Value"] = "value";
})(Priorities_Select_Column = exports.Priorities_Select_Column || (exports.Priorities_Select_Column = {}));
/** select columns of table "question_directed_to" */
var Question_Directed_To_Select_Column;
(function (Question_Directed_To_Select_Column) {
    /** column name */
    Question_Directed_To_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Question_Directed_To_Select_Column["Id"] = "id";
})(Question_Directed_To_Select_Column = exports.Question_Directed_To_Select_Column || (exports.Question_Directed_To_Select_Column = {}));
/** select columns of table "question_likes" */
var Question_Likes_Select_Column;
(function (Question_Likes_Select_Column) {
    /** column name */
    Question_Likes_Select_Column["Id"] = "id";
})(Question_Likes_Select_Column = exports.Question_Likes_Select_Column || (exports.Question_Likes_Select_Column = {}));
/** unique or primary key constraints on table "question_replies" */
var Question_Replies_Constraint;
(function (Question_Replies_Constraint) {
    /** unique or primary key constraint */
    Question_Replies_Constraint["QuestionRepliesPkey"] = "question_replies_pkey";
})(Question_Replies_Constraint = exports.Question_Replies_Constraint || (exports.Question_Replies_Constraint = {}));
/** select columns of table "question_replies" */
var Question_Replies_Select_Column;
(function (Question_Replies_Select_Column) {
    /** column name */
    Question_Replies_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Question_Replies_Select_Column["Id"] = "id";
    /** column name */
    Question_Replies_Select_Column["Text"] = "text";
    /** column name */
    Question_Replies_Select_Column["UpdatedAt"] = "updatedAt";
})(Question_Replies_Select_Column = exports.Question_Replies_Select_Column || (exports.Question_Replies_Select_Column = {}));
/** update columns of table "question_replies" */
var Question_Replies_Update_Column;
(function (Question_Replies_Update_Column) {
    /** column name */
    Question_Replies_Update_Column["Text"] = "text";
})(Question_Replies_Update_Column = exports.Question_Replies_Update_Column || (exports.Question_Replies_Update_Column = {}));
/** unique or primary key constraints on table "questions" */
var Questions_Constraint;
(function (Questions_Constraint) {
    /** unique or primary key constraint */
    Questions_Constraint["QuestionsIdKey"] = "questions_id_key";
    /** unique or primary key constraint */
    Questions_Constraint["QuestionsPkey"] = "questions_pkey";
})(Questions_Constraint = exports.Questions_Constraint || (exports.Questions_Constraint = {}));
/** select columns of table "questions" */
var Questions_Select_Column;
(function (Questions_Select_Column) {
    /** column name */
    Questions_Select_Column["AuthorId"] = "authorId";
    /** column name */
    Questions_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Questions_Select_Column["Id"] = "id";
    /** column name */
    Questions_Select_Column["MetricId"] = "metricId";
    /** column name */
    Questions_Select_Column["MetricName"] = "metricName";
    /** column name */
    Questions_Select_Column["OrganizationId"] = "organizationId";
    /** column name */
    Questions_Select_Column["Priority"] = "priority";
    /** column name */
    Questions_Select_Column["ResolvedAt"] = "resolvedAt";
    /** column name */
    Questions_Select_Column["ResolvedBy"] = "resolvedBy";
    /** column name */
    Questions_Select_Column["Text"] = "text";
    /** column name */
    Questions_Select_Column["UpdatedAt"] = "updatedAt";
})(Questions_Select_Column = exports.Questions_Select_Column || (exports.Questions_Select_Column = {}));
/** update columns of table "questions" */
var Questions_Update_Column;
(function (Questions_Update_Column) {
    /** column name */
    Questions_Update_Column["Priority"] = "priority";
    /** column name */
    Questions_Update_Column["ResolvedAt"] = "resolvedAt";
    /** column name */
    Questions_Update_Column["ResolvedBy"] = "resolvedBy";
    /** column name */
    Questions_Update_Column["Text"] = "text";
})(Questions_Update_Column = exports.Questions_Update_Column || (exports.Questions_Update_Column = {}));
/** unique or primary key constraints on table "saved_queries" */
var Saved_Queries_Constraint;
(function (Saved_Queries_Constraint) {
    /** unique or primary key constraint */
    Saved_Queries_Constraint["SavedQueriesPkey"] = "saved_queries_pkey";
})(Saved_Queries_Constraint = exports.Saved_Queries_Constraint || (exports.Saved_Queries_Constraint = {}));
/** select columns of table "saved_queries" */
var Saved_Queries_Select_Column;
(function (Saved_Queries_Select_Column) {
    /** column name */
    Saved_Queries_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Saved_Queries_Select_Column["Id"] = "id";
    /** column name */
    Saved_Queries_Select_Column["SerializedQuery"] = "serializedQuery";
    /** column name */
    Saved_Queries_Select_Column["Title"] = "title";
    /** column name */
    Saved_Queries_Select_Column["UpdatedAt"] = "updatedAt";
})(Saved_Queries_Select_Column = exports.Saved_Queries_Select_Column || (exports.Saved_Queries_Select_Column = {}));
/** update columns of table "saved_queries" */
var Saved_Queries_Update_Column;
(function (Saved_Queries_Update_Column) {
    /** column name */
    Saved_Queries_Update_Column["DeletedAt"] = "deletedAt";
    /** column name */
    Saved_Queries_Update_Column["OwnerTeamId"] = "ownerTeamId";
    /** column name */
    Saved_Queries_Update_Column["SerializedQuery"] = "serializedQuery";
    /** column name */
    Saved_Queries_Update_Column["Title"] = "title";
})(Saved_Queries_Update_Column = exports.Saved_Queries_Update_Column || (exports.Saved_Queries_Update_Column = {}));
/** select columns of table "saved_query_metrics" */
var Saved_Query_Metrics_Select_Column;
(function (Saved_Query_Metrics_Select_Column) {
    /** column name */
    Saved_Query_Metrics_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Saved_Query_Metrics_Select_Column["Id"] = "id";
    /** column name */
    Saved_Query_Metrics_Select_Column["UpdatedAt"] = "updatedAt";
})(Saved_Query_Metrics_Select_Column = exports.Saved_Query_Metrics_Select_Column || (exports.Saved_Query_Metrics_Select_Column = {}));
/** select columns of table "team_dashboards" */
var Team_Dashboards_Select_Column;
(function (Team_Dashboards_Select_Column) {
    /** column name */
    Team_Dashboards_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Team_Dashboards_Select_Column["UpdatedAt"] = "updatedAt";
})(Team_Dashboards_Select_Column = exports.Team_Dashboards_Select_Column || (exports.Team_Dashboards_Select_Column = {}));
/** unique or primary key constraints on table "team_members" */
var Team_Members_Constraint;
(function (Team_Members_Constraint) {
    /** unique or primary key constraint */
    Team_Members_Constraint["TeamMembersPkey"] = "team_members_pkey";
})(Team_Members_Constraint = exports.Team_Members_Constraint || (exports.Team_Members_Constraint = {}));
/** select columns of table "team_members" */
var Team_Members_Select_Column;
(function (Team_Members_Select_Column) {
    /** column name */
    Team_Members_Select_Column["Id"] = "id";
    /** column name */
    Team_Members_Select_Column["IsTeamAdmin"] = "isTeamAdmin";
    /** column name */
    Team_Members_Select_Column["JoinedAt"] = "joinedAt";
})(Team_Members_Select_Column = exports.Team_Members_Select_Column || (exports.Team_Members_Select_Column = {}));
/** update columns of table "team_members" */
var Team_Members_Update_Column;
(function (Team_Members_Update_Column) {
    /** column name */
    Team_Members_Update_Column["IsTeamAdmin"] = "isTeamAdmin";
})(Team_Members_Update_Column = exports.Team_Members_Update_Column || (exports.Team_Members_Update_Column = {}));
/** select columns of table "team_views" */
var Team_Views_Select_Column;
(function (Team_Views_Select_Column) {
    /** column name */
    Team_Views_Select_Column["CreatedAt"] = "created_at";
})(Team_Views_Select_Column = exports.Team_Views_Select_Column || (exports.Team_Views_Select_Column = {}));
/** unique or primary key constraints on table "teams" */
var Teams_Constraint;
(function (Teams_Constraint) {
    /** unique or primary key constraint */
    Teams_Constraint["TeamsNameOrganizationIdKey"] = "teams_name_organization_id_key";
    /** unique or primary key constraint */
    Teams_Constraint["TeamsPkey"] = "teams_pkey";
})(Teams_Constraint = exports.Teams_Constraint || (exports.Teams_Constraint = {}));
/** select columns of table "teams" */
var Teams_Select_Column;
(function (Teams_Select_Column) {
    /** column name */
    Teams_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Teams_Select_Column["Id"] = "id";
    /** column name */
    Teams_Select_Column["Name"] = "name";
    /** column name */
    Teams_Select_Column["Slug"] = "slug";
    /** column name */
    Teams_Select_Column["Theme"] = "theme";
    /** column name */
    Teams_Select_Column["UpdatedAt"] = "updatedAt";
})(Teams_Select_Column = exports.Teams_Select_Column || (exports.Teams_Select_Column = {}));
/** update columns of table "teams" */
var Teams_Update_Column;
(function (Teams_Update_Column) {
    /** column name */
    Teams_Update_Column["DeactivatedAt"] = "deactivatedAt";
    /** column name */
    Teams_Update_Column["FeaturedMetricCollectionId"] = "featuredMetricCollectionId";
    /** column name */
    Teams_Update_Column["Name"] = "name";
    /** column name */
    Teams_Update_Column["Slug"] = "slug";
    /** column name */
    Teams_Update_Column["Theme"] = "theme";
})(Teams_Update_Column = exports.Teams_Update_Column || (exports.Teams_Update_Column = {}));
/** select columns of table "user_features" */
var User_Features_Select_Column;
(function (User_Features_Select_Column) {
    /** column name */
    User_Features_Select_Column["FeatureId"] = "featureId";
    /** column name */
    User_Features_Select_Column["UserId"] = "userId";
})(User_Features_Select_Column = exports.User_Features_Select_Column || (exports.User_Features_Select_Column = {}));
/** unique or primary key constraints on table "user_prefs" */
var User_Prefs_Constraint;
(function (User_Prefs_Constraint) {
    /** unique or primary key constraint */
    User_Prefs_Constraint["UserPrefsPkey"] = "user_prefs_pkey";
    /** unique or primary key constraint */
    User_Prefs_Constraint["UserPrefsUserIdPrefKeyKey"] = "user_prefs_user_id_pref_key_key";
})(User_Prefs_Constraint = exports.User_Prefs_Constraint || (exports.User_Prefs_Constraint = {}));
/** select columns of table "user_prefs" */
var User_Prefs_Select_Column;
(function (User_Prefs_Select_Column) {
    /** column name */
    User_Prefs_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    User_Prefs_Select_Column["Id"] = "id";
    /** column name */
    User_Prefs_Select_Column["OrganizationId"] = "organizationId";
    /** column name */
    User_Prefs_Select_Column["PrefKey"] = "prefKey";
    /** column name */
    User_Prefs_Select_Column["PrefValue"] = "prefValue";
    /** column name */
    User_Prefs_Select_Column["UpdatedAt"] = "updatedAt";
    /** column name */
    User_Prefs_Select_Column["UserId"] = "userId";
})(User_Prefs_Select_Column = exports.User_Prefs_Select_Column || (exports.User_Prefs_Select_Column = {}));
/** update columns of table "user_prefs" */
var User_Prefs_Update_Column;
(function (User_Prefs_Update_Column) {
    /** column name */
    User_Prefs_Update_Column["PrefKey"] = "prefKey";
    /** column name */
    User_Prefs_Update_Column["PrefValue"] = "prefValue";
})(User_Prefs_Update_Column = exports.User_Prefs_Update_Column || (exports.User_Prefs_Update_Column = {}));
var User_Role_Types_Enum;
(function (User_Role_Types_Enum) {
    /** 	Full administrator access. */
    User_Role_Types_Enum["Admin"] = "admin";
    /** Org Admins have extends permissions within their Organization */
    User_Role_Types_Enum["OrgAdmin"] = "org_admin";
    /** A Service User is set up for each Organization as a user account to manage machine changes, such as processing model changes. */
    User_Role_Types_Enum["ServiceUser"] = "service_user";
    /** Transform Employees have limited visibility across Organizations to help manage and facilitate deployment */
    User_Role_Types_Enum["TransformEmployee"] = "transform_employee";
})(User_Role_Types_Enum = exports.User_Role_Types_Enum || (exports.User_Role_Types_Enum = {}));
/** unique or primary key constraints on table "user_roles" */
var User_Roles_Constraint;
(function (User_Roles_Constraint) {
    /** unique or primary key constraint */
    User_Roles_Constraint["UserRolesPkey"] = "user_roles_pkey";
    /** unique or primary key constraint */
    User_Roles_Constraint["UserRolesUserIdRoleKey"] = "user_roles_user_id_role_key";
})(User_Roles_Constraint = exports.User_Roles_Constraint || (exports.User_Roles_Constraint = {}));
/** select columns of table "user_roles" */
var User_Roles_Select_Column;
(function (User_Roles_Select_Column) {
    /** column name */
    User_Roles_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    User_Roles_Select_Column["Id"] = "id";
    /** column name */
    User_Roles_Select_Column["RemovedAt"] = "removedAt";
    /** column name */
    User_Roles_Select_Column["Role"] = "role";
    /** column name */
    User_Roles_Select_Column["UpdatedAt"] = "updatedAt";
    /** column name */
    User_Roles_Select_Column["UserId"] = "userId";
})(User_Roles_Select_Column = exports.User_Roles_Select_Column || (exports.User_Roles_Select_Column = {}));
/** update columns of table "user_roles" */
var User_Roles_Update_Column;
(function (User_Roles_Update_Column) {
    /** column name */
    User_Roles_Update_Column["RemovedAt"] = "removedAt";
})(User_Roles_Update_Column = exports.User_Roles_Update_Column || (exports.User_Roles_Update_Column = {}));
/** unique or primary key constraints on table "users" */
var Users_Constraint;
(function (Users_Constraint) {
    /** unique or primary key constraint */
    Users_Constraint["UsersAuth0IdKey"] = "users_auth0_id_key";
    /** unique or primary key constraint */
    Users_Constraint["UsersEmailKey"] = "users_email_key";
    /** unique or primary key constraint */
    Users_Constraint["UsersPkey"] = "users_pkey";
})(Users_Constraint = exports.Users_Constraint || (exports.Users_Constraint = {}));
/** select columns of table "users" */
var Users_Select_Column;
(function (Users_Select_Column) {
    /** column name */
    Users_Select_Column["AvatarUrl"] = "avatarUrl";
    /** column name */
    Users_Select_Column["CreatedAt"] = "createdAt";
    /** column name */
    Users_Select_Column["DeactivatedAt"] = "deactivatedAt";
    /** column name */
    Users_Select_Column["Email"] = "email";
    /** column name */
    Users_Select_Column["Id"] = "id";
    /** column name */
    Users_Select_Column["UpdatedAt"] = "updatedAt";
    /** column name */
    Users_Select_Column["UserName"] = "userName";
})(Users_Select_Column = exports.Users_Select_Column || (exports.Users_Select_Column = {}));
/** update columns of table "users" */
var Users_Update_Column;
(function (Users_Update_Column) {
    /** column name */
    Users_Update_Column["DeactivatedAt"] = "deactivatedAt";
    /** column name */
    Users_Update_Column["Email"] = "email";
    /** column name */
    Users_Update_Column["UserName"] = "userName";
})(Users_Update_Column = exports.Users_Update_Column || (exports.Users_Update_Column = {}));
